Skip to main content

Call Vehicle Data API

This explains the procedure for calling the Vehicle Data API with an example.

API URL​

https://api.pleos.ai

Authorization API Header​

ParameterTypeDescriptionRequired
Content-Typestringapplication/jsonOptional
BrandstringVehicle brand (hyundai/kia/genesis)Required

Vehicle Data API Header​

ParameterTypeDescriptionRequired
AuthorizationstringBearer accessTokenRequired
Content-Typestringapplication/jsonOptional
BrandstringVehicle brand (hyundai/kia/genesis)Required

Call Vehicle Data API​

The Vehicle Data API allows you to call each API independently without a specific sequence. However, you must first acquire an access token before calling the Vehicle Data API.

  1. Call the access token issuance API.
  2. Request the vehicle owners's agreement for vehicle selection and connected car data sharing.
  3. Include the access token and Vehicle Identification Number(VIN) in the header and path parameters of the API request.
  4. Call the Vehicle Data API and check the result.
    • To check the vehicle battery status, call the https://api.pleos.ai/v1/vehicles/{vin}/batteries API.
    curl
    curl -X GET "https://api.pleos.ai/v1/vehicles/{vin}/batteries" \
    -H "Authorization: Bearer <ACCESS_TOKEN>" \
    -H "Content-Type: application/json" \
    -H "Brand: hyundai"

Response Message​

Success​

A successful response follows the Response Envelope format below.

Response Envelope
{
"data": {
...
},
"meta": {
"code": 200,
"message": "Success",
"success": true,
"timestamp": "2026-07-03T10:00:00+09:00",
"requestId": "835bdbd4-1105-4a8c-b438-fa0873d1b246"
}
}
FieldTypeDescription
dataobjectResponse payload for each API
metaobjectResponse metadata
meta.codenumberResponse code
meta.messagestringResponse message
meta.successbooleanWhether the request succeeded
meta.timestampstringResponse timestamp
meta.requestIdstringRequest ID

Failure​

A failed response follows the Error Response format below.

Error Response
{
"error": {
"code": "40001",
"message": "Invalid Parameters",
"requestId": "835bdbd4-1105-4a8c-b438-fa0873d1b246",
"details": [
{
"field": "identifier",
"issue": "must not be blank."
}
],
"timestamp": "2026-07-03T10:00:00+09:00"
}
}
FieldTypeDescription
errorobjectError information
error.codestringError code
error.messagestringError message
error.requestIdstringRequest ID
error.detailsarrayDetailed error list
error.details.fieldstringField where the error occurred
error.details.issuestringIssue description for the field
error.timestampstringResponse timestamp
info

For the error code list, see Error Response.